using Memory_Test_Worker_Service;
using Sentry.Profiling;

//var builder = Host.CreateApplicationBuilder(args);
//builder.Services.AddHostedService<Worker>();

var builder = Host.CreateDefaultBuilder(args);
builder.UseWindowsService(options =>
{
    options.ServiceName = "AAAA TEST";
});

builder.ConfigureServices(service =>
{
    service.AddHostedService<Worker>();
});

builder.ConfigureLogging(loggingBuilder =>
{
    loggingBuilder.AddSentry(o =>
    {
        o.Dsn = "<link to sentry>";
        o.Debug = true;
        o.TracesSampleRate = 1.0;
        o.ProfilesSampleRate = 1.0;
        o.AddIntegration(new ProfilingIntegration(
            TimeSpan.FromMicroseconds(500)
        ));
    });
});


var host = builder.Build();
host.Run();
